Bug 211764 - java/eclipse: Update to 4.6 (Eclipse Neon)
Summary: java/eclipse: Update to 4.6 (Eclipse Neon)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-12 03:45 UTC by Jimmy Kelley
Modified: 2016-10-06 20:06 UTC (History)
4 users (show)

See Also:


Attachments
Update patch (86.40 KB, text/plain)
2016-08-12 03:45 UTC, Jimmy Kelley
ljboiler: maintainer-approval+
Details
Revised update patch (54.76 KB, patch)
2016-08-22 02:03 UTC, Jimmy Kelley
ljboiler: maintainer-approval+
Details | Diff
Revised update patch (53.91 KB, patch)
2016-08-26 04:08 UTC, Jimmy Kelley
ljboiler: maintainer-approval+
Details | Diff
Revised update patch (86.46 KB, text/plain)
2016-08-26 10:53 UTC, Jimmy Kelley
ljboiler: maintainer-approval+
Details
Patch Error Log (4.79 KB, text/plain)
2016-09-10 06:50 UTC, kappei84
no flags Details
Makefile.orig (5.28 KB, text/plain)
2016-09-12 05:14 UTC, kappei84
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Kelley 2016-08-12 03:45:23 UTC
Created attachment 173563 [details]
Update patch

Latest Eclipse release.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-12 07:08:00 UTC
Thank you Jimmy
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-12 07:09:44 UTC
Please note that QA results as attachments or external links are not required, but the former are preferable to the latter if requested. Just mention that QA passes in  your issue description, similar to:

portlint: OK (looks ok.)
porttest: OK (poudriere: <versions>, <archs>, <options> tested)
maketest: OK (if test target is defined)
Comment 4 Bruno 2016-08-17 04:37:49 UTC
Hey, Mars has a bug with Swing when I try to change the text of JButton eclipse freezes. We can't design SWT GUIs too, it's not working at all.

Can you check if these are happening on Neon too? The plugin for GUI designing is Window Builder https://eclipse.org/windowbuilder/download.php

Using 11.0-RC1 here.

Thanks
Comment 5 Bruno 2016-08-18 05:27:30 UTC
I checked on 4.6, GUI bugs still happening.
Comment 6 Jimmy Kelley 2016-08-18 11:47:48 UTC
(In reply to Bruno from comment #5)
If you don't report the specific problem(s), it can't be looked at.
Comment 7 Jimmy Kelley 2016-08-22 02:03:45 UTC
Created attachment 173921 [details]
Revised update patch

Updated patch to reflect new MASTER_SITE.
Comment 8 Jimmy Kelley 2016-08-26 04:08:34 UTC
Created attachment 174084 [details]
Revised update patch

Old patch was was created with absolute paths based on my Poudriere installation.  This patch makes things relative to the port directory.
Comment 9 Jimmy Kelley 2016-08-26 10:53:17 UTC
Created attachment 174095 [details]
Revised update patch

Got the right file from the wrong machine last time...
Comment 10 Michael Zhilin 2016-09-07 10:05:15 UTC
Dear @ports-committers,

Please commit this patch. It works for me too. 

@Jimmy,

Many-many-many thanks for your incredible support of Eclipse port!!!
Comment 11 Jimmy Kelley 2016-09-07 20:03:48 UTC
(In reply to Michael Zhilin from comment #10)
You are very welcome!
Comment 12 kappei84 2016-09-09 14:51:16 UTC
@Jimmy

I join MIchael. Many thanks for sending me the patch and for the efforts!

Regards,
Daniele.
Comment 13 kappei84 2016-09-10 06:49:17 UTC
Dear Jimmy,

I tried to apply the patch to my port with the following command:

cd /usr/ports/java/eclipse 
patch < /path/to/patch/patch.txt

but I the patch did not apply cleanly for some files. You can find attached the log from my last attempt.

Please let me know if you need the *.rej files and any other info that could be relevant to you.

Regards,
Daniele.
Comment 14 kappei84 2016-09-10 06:50:17 UTC
Created attachment 174613 [details]
Patch Error Log
Comment 15 Jimmy Kelley 2016-09-12 03:13:06 UTC
(In reply to kappei84 from comment #14)
Daniele,

All those errors makes me think that your ports tree is not updated and you don't have the eclipse 4.5.2 port files currently on your machine.  Can you attach the Makefile you currently have, and also tell me what version of FreeBSD you are working with?

Jimmy
Comment 16 kappei84 2016-09-12 05:13:54 UTC
(In reply to Jimmy Kelley from comment #15)
Dear Jimmy,

you can find below the output of uname -a:

FreeBSD Von-Neumann 10.2-PRERELEASE FreeBSD 10.2-PRERELEASE #0 r284626M: Thu Jun 25 21:11:16 CEST 2015     User@Von-Neumann:/usr/obj/usr/src/sys/KERNEL_VT_ENABLED  amd64

The Makefile comes as an attachment. The port is also installed as I am currently using it.
Comment 17 kappei84 2016-09-12 05:14:51 UTC
Created attachment 174671 [details]
Makefile.orig
Comment 18 kappei84 2016-09-12 05:25:29 UTC
(In reply to Jimmy Kelley from comment #15)
Dear Jimmmy,

you can also find the output of pkg info | grep eclipse

eclipse-4.5.2                  Eclipse Mars.2

Thank you in advance.

Regards,
Daniele.
Comment 19 Jimmy Kelley 2016-09-12 12:02:31 UTC
(In reply to kappei84 from comment #18)
Daniele,

Try this:
cd /usr/ports/java/eclipse
cat -te Makefile.orig | head

Do the lines end with $ or with ^M$   ?

Jimmy
Comment 20 kappei84 2016-09-12 19:08:08 UTC
(In reply to Jimmy Kelley from comment #19)
Dear Jimmy,

your comment "Do the lines end with $ or with ^M$   ?" shed some light on this problem. The Makefile itself was correct (the line were all ending with $). What was not ending with "$" was the patch attached to the ticket. I just had to export the file to a valid Unix "format" to get rid of the "^M$"  and successfully apply the patch!

Thanks for the support and the patience. I will let you know if the port compiles fine.

Regards,
Daniele.
Comment 21 kappei84 2016-09-13 20:04:24 UTC
Dear Jimmy,

I just wanted to confirm that I was able to apply the patch and update Eclipse to version 4.6.

In the end it was simply enough to remove the ^M$ from the patch file and then

cd /usr/ports/java/eclipse
patch < /patch/to/patch
portupgrade eclipse

Thank you very much again for the efforts you put into this and the active support.

Regards,
Daniele.
Comment 22 Kurt Jaeger freebsd_committer 2016-09-20 17:50:12 UTC
testbuilds@work
Comment 23 commit-hook freebsd_committer 2016-10-06 20:05:56 UTC
A commit references this bug:

Author: pi
Date: Thu Oct  6 20:05:07 UTC 2016
New revision: 423439
URL: https://svnweb.freebsd.org/changeset/ports/423439

Log:
  java/eclipse: 4.5.2 -> 4.6

  - new MASTER_SITE

  PR:		211764
  Changes:	http://www.eclipse.org/neon/noteworthy/
  		https://www.eclipse.org/eclipse/development/readme_eclipse_4.6.php
  Submitted by:	Jimmy Kelley <ljboiler@gmail.com> (maintainer)
  Reviewed by:	Michael Zhilin <mizhka@gmail.com>, kappei84@gmail.com

Changes:
  head/java/eclipse/Makefile
  head/java/eclipse/distinfo
  head/java/eclipse/files/amd64-patch-freebsd_natives
  head/java/eclipse/files/i386-patch-freebsd_natives
  head/java/eclipse/files/patch-aggregator
  head/java/eclipse/files/patch-freebsd_natives
  head/java/eclipse/files/patch-submodules
  head/java/eclipse/scripts/pre-patch
Comment 24 Kurt Jaeger freebsd_committer 2016-10-06 20:06:19 UTC
Committed, thanks. Sorry for the delay!